searchData={"items":[{"type":"module","title":"GptAgent","doc":"Provides a GPT conversation agent","ref":"GptAgent.html"},{"type":"function","title":"GptAgent.add_user_message/2","doc":"","ref":"GptAgent.html#add_user_message/2"},{"type":"function","title":"GptAgent.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"GptAgent.html#child_spec/1"},{"type":"function","title":"GptAgent.handle_continue/2","doc":"","ref":"GptAgent.html#handle_continue/2"},{"type":"function","title":"GptAgent.init/1","doc":"Initializes the GPT Agent","ref":"GptAgent.html#init/1"},{"type":"function","title":"GptAgent.start_link/3","doc":"Starts the GPT Agent","ref":"GptAgent.html#start_link/3"},{"type":"function","title":"GptAgent.submit_tool_output/3","doc":"","ref":"GptAgent.html#submit_tool_output/3"},{"type":"type","title":"GptAgent.t/0","doc":"","ref":"GptAgent.html#t:t/0"},{"type":"module","title":"GptAgent.Assistants.MemGpt","doc":"An assistant that has special memory functions and an internal monologue.","ref":"GptAgent.Assistants.MemGpt.html"},{"type":"function","title":"GptAgent.Assistants.MemGpt.schema/0","doc":"Returns the schema for the assistant.","ref":"GptAgent.Assistants.MemGpt.html#schema/0"},{"type":"module","title":"GptAgent.Events.RunCompleted","doc":"An OpenAI Assistants run was completed","ref":"GptAgent.Events.RunCompleted.html"},{"type":"type","title":"GptAgent.Events.RunCompleted.t/0","doc":"","ref":"GptAgent.Events.RunCompleted.html#t:t/0"},{"type":"module","title":"GptAgent.Events.RunStarted","doc":"An OpenAI Assistants run was started","ref":"GptAgent.Events.RunStarted.html"},{"type":"type","title":"GptAgent.Events.RunStarted.t/0","doc":"","ref":"GptAgent.Events.RunStarted.html#t:t/0"},{"type":"module","title":"GptAgent.Events.ThreadCreated","doc":"An OpenAI Assistants thread was created","ref":"GptAgent.Events.ThreadCreated.html"},{"type":"type","title":"GptAgent.Events.ThreadCreated.t/0","doc":"","ref":"GptAgent.Events.ThreadCreated.html#t:t/0"},{"type":"module","title":"GptAgent.Events.ToolCallOutputRecorded","doc":"The GPT Assistant has recorded a tool call output","ref":"GptAgent.Events.ToolCallOutputRecorded.html"},{"type":"type","title":"GptAgent.Events.ToolCallOutputRecorded.t/0","doc":"","ref":"GptAgent.Events.ToolCallOutputRecorded.html#t:t/0"},{"type":"module","title":"GptAgent.Events.ToolCallRequested","doc":"The GPT Assistant has requested a tool call","ref":"GptAgent.Events.ToolCallRequested.html"},{"type":"type","title":"GptAgent.Events.ToolCallRequested.t/0","doc":"","ref":"GptAgent.Events.ToolCallRequested.html#t:t/0"},{"type":"module","title":"GptAgent.Events.UserMessageAdded","doc":"An OpenAI Assistants user message was added to a thread","ref":"GptAgent.Events.UserMessageAdded.html"},{"type":"type","title":"GptAgent.Events.UserMessageAdded.t/0","doc":"","ref":"GptAgent.Events.UserMessageAdded.html#t:t/0"},{"type":"module","title":"GptAgent.Function","doc":"Represents a function that can be called by the OpenAI GPT assistant","ref":"GptAgent.Function.html"},{"type":"type","title":"GptAgent.Function.t/0","doc":"","ref":"GptAgent.Function.html#t:t/0"},{"type":"module","title":"GptAgent.Function.Parameter","doc":"Represents a parameter of a function that can be called by the OpenAI GPT assistant","ref":"GptAgent.Function.Parameter.html"},{"type":"type","title":"GptAgent.Function.Parameter.t/0","doc":"","ref":"GptAgent.Function.Parameter.html#t:t/0"},{"type":"type","title":"GptAgent.Function.Parameter.type/0","doc":"","ref":"GptAgent.Function.Parameter.html#t:type/0"},{"type":"module","title":"GptAgent.Value","doc":"A module that provides a macro to define a new type and its validation.","ref":"GptAgent.Value.html"},{"type":"macro","title":"GptAgent.Value.__using__/1","doc":"Macro to use GptAgent.Value in the current module.","ref":"GptAgent.Value.html#__using__/1"},{"type":"macro","title":"Examples - GptAgent.Value.__using__/1","doc":"defmodule MyModule do\n      use GptAgent.Value\n    end","ref":"GptAgent.Value.html#__using__/1-examples"},{"type":"macro","title":"GptAgent.Value.type/1","doc":"Macro to define a new type.","ref":"GptAgent.Value.html#type/1"},{"type":"macro","title":"Examples - GptAgent.Value.type/1","doc":"defmodule MyType do\n      use GptAgent.Value\n      type String.t()\n    end","ref":"GptAgent.Value.html#type/1-examples"},{"type":"macro","title":"GptAgent.Value.validate_with/1","doc":"Macro to define a validation function for the type.","ref":"GptAgent.Value.html#validate_with/1"},{"type":"macro","title":"Examples - GptAgent.Value.validate_with/1","doc":"defmodule MyType do\n      use GptAgent.Value\n      type String.t()\n      validate_with fn\n        value when is_binary(value) ->\n          case String.trim(value) do\n            \"\" -> {:error, \"must be a nonblank string\"}\n            _ -> :ok\n          end\n      end\n    end","ref":"GptAgent.Value.html#validate_with/1-examples"},{"type":"module","title":"GptAgent.Values.NonblankString","doc":"A message that a user has sent to the GPT agent","ref":"GptAgent.Values.NonblankString.html"},{"type":"function","title":"GptAgent.Values.NonblankString.new/1","doc":"Creates a new instance of the type.\n\nThe function validates the value and returns a new struct if the value is valid.\nIf the value is invalid, it returns an error tuple with the error message.","ref":"GptAgent.Values.NonblankString.html#new/1"},{"type":"function","title":"Params - GptAgent.Values.NonblankString.new/1","doc":"- `value`: The value to be validated and set in the struct.","ref":"GptAgent.Values.NonblankString.html#new/1-params"},{"type":"function","title":"Examples - GptAgent.Values.NonblankString.new/1","doc":"iex> MyType.new(\"valid value\")\n    %MyType{value: \"valid value\"}\n\n    iex> MyType.new(\"invalid value\")\n    {:error, \"error message\"}","ref":"GptAgent.Values.NonblankString.html#new/1-examples"},{"type":"type","title":"GptAgent.Values.NonblankString.t/0","doc":"","ref":"GptAgent.Values.NonblankString.html#t:t/0"},{"type":"extras","title":"GptAgent","doc":"# GptAgent\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - GptAgent","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `gpt_agent` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:gpt_agent, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}